
QGIS Application - Bug report #12393

GPS information panel, dialogue "Satellite "crashes QGIS 2.8 (regression)

2015-03-18 03:14 AM - Bo Victor Thomsen

Status: Closed

Priority: Severe/Regression

Assignee:

Category: C++ plugins/GPS plugin

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20567

Description

When the user opens the "Satellite" dialogue, QGIS 2.8.1 crashes. The crash appears when it receives satellite position information from

the GPS. Just showing the "Satellite" dialogue does not crash QGIS. But when it receives and shows satellite positions, QGIS crashes

immediately. This is a regression. It worked in QGIS 2.6

GPS used: Holux 215+

Windows ver. 8.1

QGIS ver. 2.8.1-Wien 64 bit

I've attached a log file with NMEA data from the GPS

Associated revisions

Revision 014f0703 - 2015-06-09 10:04 PM - Jürgen Fischer

gps information widget:

    -  fix crash when satellite markers are remove (fixes #12393)

    -  also fixes serial port detection on unix

Revision fab092a1 - 2015-06-29 06:50 PM - Jürgen Fischer

gps information widget:

    -  fix crash when satellite markers are remove (fixes #12393)

    -  also fixes serial port detection on unix

(cherry picked from commit 014f0703fef04c63cb1f46bca52562e85d28ce96)

History

#1 - 2015-03-18 03:39 AM - Bo Victor Thomsen

Just downloaded the nightly build (2.9.0-24) . The problem persists

#2 - 2015-03-18 07:35 AM - Giovanni Manghi

- Target version set to Version 2.8.2

- Category set to C++ plugins/GPS plugin

#3 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10
#4 - 2015-06-09 01:04 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"014f0703fef04c63cb1f46bca52562e85d28ce96".

Files

NewNMEAFile.txt 30.6 KB 2015-03-18 Bo Victor Thomsen
